Package: org.codehaus.groovy.tools.groovydoc

## [Java] Class SimpleGroovyExecutableMemberDoc

- org.codehaus.groovy.tools.groovydoc.SimpleGroovyExecutableMemberDoc

- All Implemented Interfaces and Traits:
    GroovyExecutableMemberDoc

      public class SimpleGroovyExecutableMemberDoc
      extends SimpleGroovyMemberDoc
      implements GroovyExecutableMemberDoc

  Base implementation for executable members such as methods and constructors.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class SimpleGroovyMemberDoc` | `belongsToClass`
    `class SimpleGroovyDoc` | `ANNOTATION_DEF, CLASS_DEF, ENUM_DEF, INTERFACE_DEF, RECORD_DEF, TRAIT_DEF`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `SimpleGroovyExecutableMemberDoc(String name, GroovyClassDoc belongsToClass)` Creates an executable member owned by the supplied class.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `add(GroovyParameter parameter)` Adds a parameter to this executable member.
    `` | `public String` | `flatSignature()` * Returns the flat signature used in rendered output. * * Returns: the flat signature
    `` | `public boolean` | `isNative()` * Indicates whether this executable is declared `native`. * * Returns: `true` if this executable is native
    `` | `public boolean` | `isSynchronized()` * Indicates whether this executable is declared `synchronized`. * * Returns: `true` if this executable is synchronized
    `` | `public boolean` | `isVarArgs()` * Indicates whether the executable accepts a variable number of arguments. * * Returns: `true` if this executable is variadic
    `` | `public GroovyParameter[]` | `parameters()` * Returns the parameters declared by this executable. * * Returns: the declared parameters
    `` | `public String` | `signature()` * Returns the full signature used in rendered output. * * Returns: the executable signature
    `` | `public GroovyType[]` | `thrownExceptionTypes()` * Returns the checked exception types declared by this executable. * * Returns: the declared exception types
    `` | `public GroovyClassDoc[]` | `thrownExceptions()` * Returns the checked exceptions declared by this executable. * * Returns: the declared exceptions

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class SimpleGroovyMemberDoc` | `commentText, firstSentenceCommentText, isSynthetic`
    `class SimpleGroovyAbstractableElementDoc` | `isAbstract, setAbstract`
    `class SimpleGroovyProgramElementDoc` | `addAnnotationRef, annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifierSpecifier, modifiers, qualifiedName, setContainingPackage, setFinal, setPackagePrivate, setPrivate, setProtected, setPublic, setStatic`
    `class SimpleGroovyDoc` | `calculateFirstSentence, commentText, compareTo, firstSentenceCommentText, getRawCommentText, getTypeDescription, getTypeSourceDescription, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isHidden, isIncluded, isInterface, isMarkdown, isMethod, isOrdinaryClass, isRecord, isScript, isTrait, name, setCommentText, setDeprecated, setFirstSentenceCommentText, setHidden, setMarkdown, setRawCommentText, setScript, setTokenType, tags, toString, tokenType`

- - ### Constructor Detail

    - #### public SimpleGroovyExecutableMemberDoc(String name, GroovyClassDoc belongsToClass)

      Creates an executable member owned by the supplied class.

      Parameters:
        `name` - the executable name
        `belongsToClass` - the declaring class

  - ### Method Detail

    - #### public void add(GroovyParameter parameter)

      Adds a parameter to this executable member.

      Parameters:
        `parameter` - the parameter to add

    - #### public String flatSignature()

      * Returns the flat signature used in rendered output. * *

      Returns:
        the flat signature

    - #### public boolean isNative()

      * Indicates whether this executable is declared `native`. * *

      Returns:
        `true` if this executable is native

    - #### public boolean isSynchronized()

      * Indicates whether this executable is declared `synchronized`. * *

      Returns:
        `true` if this executable is synchronized

    - #### public boolean isVarArgs()

      * Indicates whether the executable accepts a variable number of arguments. * *

      Returns:
        `true` if this executable is variadic

    - #### public GroovyParameter[] parameters()

      * Returns the parameters declared by this executable. * *

      Returns:
        the declared parameters

    - #### public String signature()

      * Returns the full signature used in rendered output. * *

      Returns:
        the executable signature

    - #### public GroovyType[] thrownExceptionTypes()

      * Returns the checked exception types declared by this executable. * *

      Returns:
        the declared exception types

    - #### public GroovyClassDoc[] thrownExceptions()

      * Returns the checked exceptions declared by this executable. * *

      Returns:
        the declared exceptions